# ACE_RMCast::Flow Class Reference

`#include <Flow.h>`

Inheritance diagram for ACE_RMCast::Flow:

[legend]
Collaboration diagram for ACE_RMCast::Flow:

[legend]
List of all members.

## Public Member Functions

| Flow (Parameters const &params)
virtual void | send (Message_ptr m)
virtual void | recv (Message_ptr m)

## Private Attributes

Parameters const & | params_
Mutex | mutex_
ACE_Time_Value | nak_time_
ACE_Time_Value | sample_start_time_
unsigned long | sample_bytes_
double | current_tput_
double | cap_tput_

## Constructor & Destructor Documentation

ACE_RMCast::Flow::Flow | ( | Parameters const & | params | ) |

## Member Function Documentation

void ACE_RMCast::Flow::recv | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::In_Element.

void ACE_RMCast::Flow::send | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

## Member Data Documentation

double ACE_RMCast::Flow::cap_tput_`[private]`

double ACE_RMCast::Flow::current_tput_`[private]`

Mutex ACE_RMCast::Flow::mutex_`[private]`

ACE_Time_Value ACE_RMCast::Flow::nak_time_`[private]`

Parameters const& ACE_RMCast::Flow::params_`[private]`

unsigned long ACE_RMCast::Flow::sample_bytes_`[private]`

ACE_Time_Value ACE_RMCast::Flow::sample_start_time_`[private]`

The documentation for this class was generated from the following files:

- Flow.h
- Flow.cpp